# vim: set fileencoding=utf-8 :

from traff.models import *
from django.contrib import admin
from django.utils.translation import ugettext_lazy as _

class ServiceTraffTariffAdmin(admin.ModelAdmin):
	list_display = ('title', 'tariff', 'prepaid_mb_in_month', 'prepaid_mb_out_month')

class ServiceTraffFilterAdmin(admin.ModelAdmin):
	fieldsets = (
		(_('Main parameters'), {'fields': ('title', 'tariff', 'filter_group', 'priority', 'store_stat', 'in_traff', 'network', 'netmask', )}),
		(_('1 MB cost'), {'fields': ( 'mb_cost',)}),
		(_('Specific parameters'), {'fields': ('port', 'proto', 'speed_in', 'speed_in_max', 'speed_out', 'speed_out_max', )}),
		(_('When apply filter'), {'fields': ('day_hours', 'week_days', 'month_days', 'year_months')}),
	)
	list_display = ('title', 'tariff', 'priority', 'store_stat', 'in_traff','network', 'netmask', 'port', 'proto', 'mb_cost',)
	ordering = ['tariff']
	search_fields = ('tariff__title',)
	list_filter = ('tariff',)

class ServiceTraffUparamAdmin(admin.ModelAdmin):
	list_display = ('client', 'access_type', 'ip')
	ordering = ['client']
	search_fields = ('ip', 'client__login')

admin.site.register(ServiceTraffTariff, ServiceTraffTariffAdmin)
admin.site.register(ServiceTraffFilter, ServiceTraffFilterAdmin)
admin.site.register(ServiceTraffStat)
admin.site.register(ServiceTraffUparam, ServiceTraffUparamAdmin)
