# vim: set fileencoding=utf-8 :
from datetime import datetime,date, timedelta

from django import forms
from django.forms.util import ErrorList
from django.contrib.admin.widgets import AdminDateWidget
from django.utils.translation import ugettext_lazy as _

from katrin.models import Client,BillingPeriod

class DetailedStatForm(forms.Form):

	def clean(self):
		cleaned_data = self.cleaned_data
		if cleaned_data.has_key('start') and cleaned_data.has_key('end'):
			start = cleaned_data['start']
			end = cleaned_data['end']
			if not start<end:
				self._errors['start'] = ErrorList([_("Start must be earlier than end")])
				del cleaned_data['start']
				del cleaned_data['end']

		return cleaned_data

	client = forms.ModelChoiceField(label=_('Client'), queryset=Client.objects.filter(services__codename='traff').order_by('login'))
	start = forms.DateTimeField(label=_('Start'), initial=date.today() + timedelta(days=-1), help_text=_('Keep given format'))
	end = forms.DateTimeField(label=_('End'), initial=date.today(), help_text=_('The longer the period, the more time is needed to process'))

	columns = forms.MultipleChoiceField(label=_('Include') + ':', choices=(
			('filter',	_('Filter'),),
			('addr',	_('Remote IP'),),
			('proto',	_('Protocol'),),
			('src_port', _('Src port')),
			('dst_port', _('Dst port')),
			('in_traff', _('Direction')),
			), 
		widget=forms.CheckboxSelectMultiple)
